Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.provider.key
Class SPEEDKeyGenerator

    java.lang.Object
      |
      +--java.security.KeyGenerator
            |
            +--cryptix.provider.key.RawKeyGenerator
                  |
                  +--cryptix.provider.key.SPEEDKeyGenerator

public class SPEEDKeyGenerator
extends RawKeyGenerator

A variable-length key generator for SPEED.

SPEED keys have a length of between 48 and 256 bits, in steps of 16 bits (i.e. keys always have an even number of bytes). The default length is 128 bits.

Copyright © 1997 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.1.1.1 $

Since:
  Cryptix 2.2.2
Author:
  David Hopwood

Constructor Summary
`SPEEDKeyGenerator()`

Method Summary
`boolean` | `isValidKeyLength(int length)` Returns true iff length is a valid key length (in bytes) for this algorithm.

Methods inherited from class cryptix.provider.key.RawKeyGenerator
`engineGenerateKey, generateKey, generateKey, getDefaultKeyLength, getMaximumKeyLength, getMinimumKeyLength, initialize, initialize, isWeak, isWeakAllowed, setWeakAllowed`

Methods inherited from class java.security.KeyGenerator
`clone, engineGetParameter, engineSetParameter, getAlgorithm, getAlgorithms, getAlgorithms, getInstance, getInstance, getParameter, setParameter, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SPEEDKeyGenerator

    public SPEEDKeyGenerator()

Method Detail

### isValidKeyLength

    public boolean isValidKeyLength(int length)

  Description copied from class: RawKeyGenerator
  Returns true iff length is a valid key length (in bytes) for this algorithm.

  The default implementation returns true if length is between the minimum and maximum key lengths. Some algorithms will override this method to specify a more restricted set of values.

  Overrides:
    isValidKeyLength in class RawKeyGenerator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.